From: rene <rene@cfa9e8bd-72fe-0310-85ed-f28a7036cb6a>
Date: Sun, 29 Sep 2019 19:22:47 +0000
Subject: * added -fpermissive where currently necessary

Bug-Debian: https://bugs.debian.org/968580
Origin: upstream, https://svn.exactcode.de/exact-image/trunk@2348 cfa9e8bd-72fe-0310-85ed-f28a7036cb6a
---
 api/Makefile       | 2 ++
 bardecode/Makefile | 2 ++
 frontends/Makefile | 3 +++
 3 files changed, 7 insertions(+)

diff --git a/api/Makefile b/api/Makefile
index ba4999b..243a27a 100644
--- a/api/Makefile
+++ b/api/Makefile
@@ -9,6 +9,8 @@ CPPFLAGS += $(BARDECODEINCS)
 LDFLAGS += $(BARDECODELIBS)
 endif
 
+objdir/api/api.o_CXXFLAGS := -fpermissive
+
 # we have an own install
 _X_BUILD_IMPLICIT := $(_X_BUILD_IMPLICIT)
 X_BUILD_IMPLICIT := 0
diff --git a/bardecode/Makefile b/bardecode/Makefile
index b723c0d..5a6a29a 100644
--- a/bardecode/Makefile
+++ b/bardecode/Makefile
@@ -7,4 +7,6 @@ DEPS =
 
 CPPFLAGS += -I bardecode
 
+objdir/bardecode/CXXFLAGS := -fpermissive
+
 include build/bottom.make
diff --git a/frontends/Makefile b/frontends/Makefile
index 27ca5b1..875be16 100644
--- a/frontends/Makefile
+++ b/frontends/Makefile
@@ -15,4 +15,7 @@ DEPS = $(image_BINARY) $(codecs_BINARY) $(bardecode_BINARY) $(X_OUTARCH)/utility
 CPPFLAGS += -I utility
 #LDFLAGS += -lGL -lGLU -lglut -L/usr/X11/lib64
 
+objdir/frontends/bardecode.o_CXXFLAGS := -fpermissive
+objdir/frontends/econvert.o_CXXFLAGS := -fpermissive
+
 include build/bottom.make
